%define upstream_name    Sub-Talisman
%define upstream_version 0.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Use attributes to tag or classify subs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers) >= 0.790.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Scalar::Does) >= 0.2.0
BuildRequires: perl(Sub::Identify)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
Sub::Talisman allows you to define "talisman" attibutes for your subs, and
provides a basic introspection API for these talismans.

Class Methods
    Sub::Talisman's methods are designed to be called as class methods.

    * 'setup_for $package, \%options'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYRIGHT Changes LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1033559
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 966900
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 847049
- update to 0.005

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 744669
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 686273
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 514792
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 372894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 342596
- update to 0.004

* Sun Oct 21 2012 jquelin <jquelin> 0.3.0-1.mga3
+ Revision: 308706
- imported package perl-Sub-Talisman


* Sun Oct 21 2012 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
